package ru.yandex.direct.api.v5.security.token;

import ru.yandex.direct.api.v5.security.DirectApiCredentials;
import ru.yandex.direct.web.auth.blackbox.BlackboxOauthAuthRequest;

public class DirectApiTokenAuthRequest extends BlackboxOauthAuthRequest {
    private final DirectApiCredentials credentials;

    public DirectApiTokenAuthRequest(DirectApiCredentials credentials, String tvmTicket) {
        super(credentials, tvmTicket);
        this.credentials = credentials;
    }

    @Override
    public DirectApiCredentials getCredentials() {
        return credentials;
    }
}
